## ibm-3270 4.0ga12

=== Playback/Makefile ===
CFLAGS = -g -Wall -Werror -ansi -pedantic -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED -D_BSD_SOURCE

all: playback

playback: playback.o
	$(CC) $(CFLAGS) -o playback playback.o

=== b3270/Makefile ===
# Copyright (c) 2016 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for b3270
top = ../../..
objdir = ../obj/x86_64-unknown-linux-gnu/b3270
this = $(top)/b3270

export VPATH = $(this):$(top)/Common/b3270:$(top)/Common
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(this) -I$(top)/Common -I$(top)/Common/b3270

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
install: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
install.man: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== mitm/Makefile ===
# Copyright (c) 2016-2018 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for mitm
top = ../../..
objdir = ../obj/x86_64-unknown-linux-gnu/mitm
this = $(top)/mitm

export VPATH = $(this):$(top)/Common/x3270if:$(top)/Common
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(this) -I$(top)/Common

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
install: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
install.man: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== wb3270/Makefile ===
# Copyright (c) 2016 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for wb3270, can build either 32- or 64-bit
ifdef WIN64
objdir = ../obj/win64/wb3270
else
objdir = ../obj/win32/wb3270
endif
top = ../../..
this = $(top)/wb3270

export VPATH = $(this):$(top)/Common/Win32:$(top)/Common/b3270:$(top)/Common
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(this) -I$(top)/Common -I$(top)/Common/b3270 -I$(top)/Common/Win32

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== ws3270/Makefile ===
# Copyright (c) 2016 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for ws3270, can build either 32- or 64-bit
ifdef WIN64
objdir = ../obj/win64/ws3270
else
objdir = ../obj/win32/ws3270
endif
top = ../../..
this = $(top)/ws3270

export VPATH = $(this):$(top)/Common/Win32:$(top)/Common/s3270:$(top)/Common
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(this) -I$(top)/Common -I$(top)/Common/Win32

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== lib/w3270i/Makefile ===
# Copyright (c) 2016 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for libw3270, can build either 32- or 64-bit
ifdef WIN64
objdir = ../../obj/win64/lib3270i
else
objdir = ../../obj/win32/lib3270i
endif
top = ../../..
this = $(top)/lib/w3270i

export VPATH = $(this):$(top)/Common/Win32:$(top)/Common
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(top)/Common -I$(top)/Common/Win32 -I$(this)

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== lib/w3270stubs/Makefile ===
# Copyright (c) 2016 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for libw3270stubs, can build either 32- or 64-bit
ifdef WIN64
objdir = ../../obj/win64/lib3270stubs
else
objdir = ../../obj/win32/lib3270stubs
endif
top = ../../..
this = $(top)/lib/w3270stubs

export VPATH = $(this):$(top)/Common/Win32:$(top)/Common
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(top)/Common -I$(top)/Common/Win32 -I$(this)

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== debian/changelog ===
ibm-3270 (4.0ga12-3) unstable; urgency=medium

  * Source-only upload

 -- Philipp Kern <pkern@debian.org>  Thu, 12 Nov 2020 19:16:04 +0100

ibm-3270 (4.0ga12-2) unstable; urgency=medium

  * Build tcl3270 and ship it in its own package (Closes: #407315)

 -- Philipp Kern <pkern@debian.org>  Wed, 28 Oct 2020 12:37:01 +0100

ibm-3270 (4.0ga12-1) unstable; urgency=medium

  * New upstream release
  * Removed obsolete x3270 menu file

 -- Philipp Kern <pkern@debian.org>  Wed, 28 Oct 2020 10:14:56 +0100

ibm-3270 (4.0ga11-3) unstable; urgency=medium

  * Install a .desktop file with corresponding icon.
  * Force PATH to /bin:/usr/bin in debian/rules.

 -- Philipp Kern <pkern@debian.org>  Fri, 28 Aug 2020 16:44:47 +0200

=== debian/control ===
Source: ibm-3270
Section: net
Priority: optional
Maintainer: Philipp Kern <pkern@debian.org>
Standards-Version: 3.9.7
Build-Depends: debhelper (>> 10), libncursesw5-dev, libssl-dev, libxaw7-dev, libxt-dev, xbitmaps, xfonts-utils, xutils-dev, tcl, tcl-dev, libexpat1-dev, imagemagick
Homepage: http://x3270.bgp.nu/

Package: x3270
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 3270-common (= ${binary:Version})
Recommends: xfonts-x3270-misc
Suggests: x3270-doc
Description: X11 program for telnet sessions to IBM mainframes
 x3270 opens a telnet connection to an IBM mainframe host in an X11
 window.  It can also connect to an IBM AS/400 as a 5250 terminal
 using the AS/400's 3270 emulation.  The window created by x3270 can
 use its own font for displaying characters, so it is a fairly
 accurate representation of an IBM 3278 or 3279.
 .
 x3270 is similar to tn3270(1) and c3270(1) except that it is X-based,
 not curses-based.
 .
 x3270 implements RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection), and supports IND$FILE file transfer.
 .
 You will need to install x3270's fonts locally, or on your font-server -
 they are required.

Package: c3270
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 3270-common (= ${binary:Version})
Suggests: x3270-doc
Description: Curses program for telnet sessions to IBM mainframes
 c3270 opens a telnet connection to an IBM mainframe host in an Xterm
 window or Virtual Console.  It can also connect to an IBM AS/400 as 
 a 5250 terminal using the AS/400's 3270 emulation.
 .
 c3270 is similar to tn3270(1), and x3270(1) except that it is curses-based,
 not X-based.
 .
 c3270 implements RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection), and supports IND$FILE file transfer.

Package: pr3287
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 3270-common (= ${binary:Version})
Description: IBM 3287 printer emulation for telnet sessions to IBM mainframes
 pr3287 opens a telnet connection to an IBM mainframe host and emulates an
 IBM 3287 printer.
 .
 pr3278 implements RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection).

Package: s3270
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 3270-common (= ${binary:Version})
Suggests: x3270-doc
Description: Program for scripted telnet sessions to IBM mainframes
 s3270 opens a telnet connection to an IBM mainframe host, then allows a 
 script to control the host login session.
 .
 s3270 implements RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection), and supports IND$FILE file transfer.

Package: tcl3270
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, s3270 (= ${binary:Version}), 3270-common (= ${binary:Version})
Description: Program for Tcl-scripted telnet sessions to IBM mainframes
 tcl3270 opens a telnet connection to an IBM mainframe host, then allows a 
 Tcl script to control the host login session.
 .
 tcl3270 implements RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection), and supports IND$FILE file transfer.

Package: 3270-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Common files for IBM 3270 emulators and pr3287
 3270-common contains files referenced in other 3270 packages

Package: xfonts-x3270-misc
Architecture: all
Multi-Arch: foreign
Section: fonts
Depends: ${misc:Depends}
Description: Font files for the x3270(1) IBM 3270 emulator
 x3270-fonts provides only the fonts required for x3270 operation, so that
 the fonts may be installed separately on a font-server.

Package: x3270-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Replaces: x3270 (<< 3.6ga4-1~)
Breaks: x3270 (<< 3.6ga4-1~)
Description: X11 program for telnet sessions to IBM mainframes - documentation
 x3270-doc contains the HTML documentation for the x3270 series of programs
 that allows one to connect to IBM mainframes via telnet.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export AUTOHEADER=true
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export LOGNAME:=buildd
export PATH:=/bin:/usr/bin

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf obj/ lib/32xx/32xx-deplibs.mk x3270/x3270-icon2.png
	find . \
		-name Makefile -or \
		-name Makefile.obj -or \
		-name config.log -or \
		-name config.status -or \
	       	-name conf.h | xargs -r rm

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-fontdir=/usr/share/fonts/X11/misc \
		--enable-x3270 \
		--enable-c3270 \
		--enable-s3270 \
		--enable-b3270 \
		--enable-tcl3270 \
		--enable-pr3287 \
		--enable-x3270if \
		--enable-lib \
		CCOPTIONS='$(CFLAGS)'

override_dh_auto_build:
	dh_auto_build
	convert x3270/x3270-icon2.xpm x3270/x3270-icon2.png

override_dh_auto_install:
	install -m 0644 -D debian/x3270.desktop \
		debian/tmp/usr/share/applications/x3270.desktop
	install -m 0644 -D x3270/x3270-icon2.png \
		debian/tmp/usr/share/icons/hicolor/64x64/apps/x3270.png
	dh_auto_install --no-parallel -- install.man

## ibm-3270 4.1ga10

=== Playback/Makefile ===
CFLAGS = -g -Wall -Werror -ansi -pedantic -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED -D_DEFAULT_SOURCE

all: playback

playback: playback.o
	$(CC) $(CFLAGS) -o playback playback.o

=== Webpage/Makefile ===
# Copyright (c) 2007-2018, 2020 Paul Mattes.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the names of Paul Mattes nor the names of his contributors
#       may be used to endorse or promote products derived from this software
#       without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# Makefile for the Webpage directory

PAGES = documentation-bugs.html documentation-manpages.html \
	documentation-misc.html documentation-other.html documentation.html \
	index.html screenshots.html x026.html

SCREENS = c3270-thumb.png c3270.png cyrillic-thumb.png cyrillic.png \
	japanese-thumb.png japanese.png keypad-thumb.png keypad.png \
	wc3270-thumb.png wc3270.png x3270_main-thumb.png x3270_main.png

OTHERS = $(SCREENS) SS-HCS12-1372-00.pdf c3270-man.html ibm_hosts.html \
	 man/FAQ.html pr3287-man.html s3270-man.html styles.css \
	 tcl3270-man.html wc3270-man.html x026.gif x3270-man.html \
	 x3270.jpg .htaccess c3270-help/.htaccess wc3270-help/.htaccess \
	 wx3270-help/.htaccess x3270-help/.htaccess

all: $(PAGES) webpage.tgz

clean:
	$(RM) $(PAGES) webpage.tgz

# Rules for HTML files with the navigation bar.
documentation.html: documentation-body.html mkpages.bash version.txt
	./mkpages.bash documentation
documentation-bugs.html: documentation-bugs-body.html mkpages.bash version.txt
	./mkpages.bash documentation-bugs
documentation-manpages.html: documentation-manpages-body.html mkpages.bash \
    	version.txt
	./mkpages.bash documentation-manpages
documentation-misc.html: documentation-misc-body.html mkpages.bash version.txt
	./mkpages.bash documentation-misc
documentation-other.html: documentation-other-body.html mkpages.bash version.txt
	./mkpages.bash documentation-other
index.html: index-body.html mkpages.bash version.txt
	./mkpages.bash index
screenshots.html: screenshots-body.html mkpages.bash version.txt
	./mkpages.bash screenshots
x026.html: x026-body.html mkpages.bash version.txt
	./mkpages.bash x026

c3270-man.html:
	cd ../c3270 && $(MAKE) -f Makefile.aux html/c3270-man.html
ibm_hosts.html:
	cd ../x3270 && $(MAKE) -f Makefile.aux html/ibm_hosts.html
pr3287-man.html:
	cd ../pr3287 && $(MAKE) -f Makefile.aux html/pr3287-man.html
s3270-man.html:
	cd ../s3270 && $(MAKE) -f Makefile.aux html/s3270-man.html
tcl3270-man.html:
	cd ../tcl3270 && $(MAKE) -f Makefile.aux html/tcl3270-man.html
x3270-man.html:
	cd ../x3270 && $(MAKE) -f Makefile.aux html/x3270-man.html
wc3270-man.html:
	cd ../wc3270 && $(MAKE) -f Makefile.aux html/wc3270-man.html

webpage.tgz: $(PAGES) $(OTHERS) mkpages.bash Makefile
	tar -czhf webpage.tgz $(PAGES) $(OTHERS)

=== wpr3287/Makefile ===
# Copyright (c) 2016 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for wpr3287 can build either 32- or 64-bit
ifdef WIN64
objdir = ../obj/win64/wpr3287
else
objdir = ../obj/win32/wpr3287
endif
top = ../../..
this = $(top)/wpr3287

export VPATH = $(this):$(top)/Common/pr3287:$(top)/Common:$(top)/Common/Win32
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(this) -I$(top)/Common/pr3287 -I$(top)/Common -I$(top)/Common/Win32

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== wx3270if/Makefile ===
# Copyright (c) 2016, 2018 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for x3270if, can build either 32- or 64-bit
ifdef WIN64
objdir = ../obj/win64/x3270if
else
objdir = ../obj/win32/x3270if
endif
top = ../../..
this = $(top)/wx3270if

export VPATH = $(this):$(top)/Common/Win32:$(top)/Common
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(this) -I$(top)/Common -I$(top)/x3270if -I$(top)/Common/Win32

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== lib/libexpat/Makefile ===
# Copyright (c) 2016 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for (Windows) libexpat, can build either 32- or 64-bit
ifdef WIN64
objdir = ../../obj/win64/libexpat
else
objdir = ../../obj/win32/libexpat
endif
top = ../../..
this = $(top)/lib/libexpat

export VPATH = $(this):$(top)/Common/libexpat
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(top)/Common/libexpat -I$(top)/Common/Win32 -I$(this)

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== lib/w3270/Makefile ===
# Copyright (c) 2016 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# VPATH-based Makefile for libw3270, can build either 32- or 64-bit
ifdef WIN64
objdir = ../../obj/win64/lib3270
else
objdir = ../../obj/win32/lib3270
endif
top = ../../..
this = $(top)/lib/w3270

export VPATH = $(this):$(top)/Common/Win32:$(top)/Common:$(top)/Common/Nodisplay
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(top)/Common -I$(top)/Common/Win32 -I$(this)

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
depend: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== debian/changelog ===
ibm-3270 (4.1ga10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1004994)

 -- Paul Gevers <elbrus@debian.org>  Sat, 05 Feb 2022 14:08:43 +0100

ibm-3270 (4.1ga10-1) unstable; urgency=medium

  * New upstream release.
    - Drop the Debian-specific desktop file and replace it with
      upstream's. This will now spawn x3270a to enable automatic
      font scaling. This wrapper script might go away again in the
      future.
    - Add new b3270 package.
    - Fix icon installation.
    - Drop x3270-doc as the documentation is no longer shipped with the
      source.
  * Bump recommended to debhelper compatibility level v13.

 -- Philipp Kern <pkern@debian.org>  Sun, 28 Nov 2021 12:06:59 +0100

ibm-3270 (4.0ga14-1) unstable; urgency=medium

  * New upstream release.

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Aug 2021 15:24:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Philipp Kern <pkern@debian.org>
 Standards-Version: 3.9.7
-Build-Depends: debhelper (>> 10), libncursesw5-dev, libssl-dev, libxaw7-dev, libxt-dev, xbitmaps, xfonts-utils, xutils-dev, tcl, tcl-dev, libexpat1-dev, imagemagick
+Build-Depends: debhelper-compat (= 13), libncursesw5-dev, libssl-dev, libxaw7-dev, libxt-dev, xbitmaps, xfonts-utils, xutils-dev, tcl, tcl-dev, libexpat1-dev, imagemagick
+Rules-Requires-Root: no
 Homepage: http://x3270.bgp.nu/
 
 Package: x3270
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 3270-common (= ${binary:Version})
 Recommends: xfonts-x3270-misc
-Suggests: x3270-doc
 Description: X11 program for telnet sessions to IBM mainframes
  x3270 opens a telnet connection to an IBM mainframe host in an X11
  window.  It can also connect to an IBM AS/400 as a 5250 terminal
@@ -30,7 +30,6 @@
 Package: c3270
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 3270-common (= ${binary:Version})
-Suggests: x3270-doc
 Description: Curses program for telnet sessions to IBM mainframes
  c3270 opens a telnet connection to an IBM mainframe host in an Xterm
  window or Virtual Console.  It can also connect to an IBM AS/400 as 
@@ -55,7 +54,6 @@
 Package: s3270
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 3270-common (= ${binary:Version})
-Suggests: x3270-doc
 Description: Program for scripted telnet sessions to IBM mainframes
  s3270 opens a telnet connection to an IBM mainframe host, then allows a 
  script to control the host login session.
@@ -73,6 +71,18 @@
  tcl3270 implements RFCs 2355 (TN3270E), 1576 (TN3270),
  and 1646 (LU name selection), and supports IND$FILE file transfer.
 
+Package: b3270
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, 3270-common (= ${binary:Version})
+Description: Backend tool for telnet sessions to IBM mainframes
+ b3270 opens a telnet connection to an IBM host, handling the 3270,
+ TELNET and TLS protocols, allowing a front-end application handle user
+ interactions. It uses XML on its standard input and standard output to
+ communicate with the front end.
+ .
+ b3270 implements RFCs 2355 (TN3270E), 1576 (TN3270) and 1646 (LU name
+ selection), and supports IND$FILE file transfer.
+
 Package: 3270-common
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -87,13 +97,3 @@
 Description: Font files for the x3270(1) IBM 3270 emulator
  x3270-fonts provides only the fonts required for x3270 operation, so that
  the fonts may be installed separately on a font-server.
-
-Package: x3270-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Replaces: x3270 (<< 3.6ga4-1~)
-Breaks: x3270 (<< 3.6ga4-1~)
-Description: X11 program for telnet sessions to IBM mainframes - documentation
- x3270-doc contains the HTML documentation for the x3270 series of programs
- that allows one to connect to IBM mainframes via telnet.

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,9 @@
 	convert x3270/x3270-icon2.xpm x3270/x3270-icon2.png
 
 override_dh_auto_install:
-	install -m 0644 -D debian/x3270.desktop \
-		debian/tmp/usr/share/applications/x3270.desktop
-	install -m 0644 -D x3270/x3270-icon2.png \
-		debian/tmp/usr/share/icons/hicolor/64x64/apps/x3270.png
+	# Presence required for the build system to actually install the
+	# icons and desktop file.
+	mkdir -p \
+		debian/tmp/usr/share/icons/hicolor/ \
+		debian/tmp/usr/share/applications/
 	dh_auto_install --no-parallel -- install.man

## ibm-3270 4.3ga10

=== wc3270/Makefile ===
# Copyright (c) 2016-2022 Paul Mattes.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Paul Mattes nor his contributors may be used
#       to endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Makefile for wc3270
ifdef WIN64
objdir = ../obj/win64/wc3270
else
objdir = ../obj/win32/wc3270
endif
top = ../../..
this = $(top)/wc3270

export VPATH = $(this):$(top)/Common/Win32:$(top)/Common/c3270:$(top)/Common
export TOP = $(top)
export THIS = $(this)

MAKEINC = -I$(top)/Common -I$(top)/Common/Win32

all: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clean: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
clobber: $(objdir)
	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@

$(objdir):
	mkdir -p $(objdir)

=== wpr3287/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2016 Paul Mattes.
+# Copyright (c) 2016-2022 Paul Mattes.
 # All rights reserved.
 # 
 # Redistribution and use in source and binary forms, with or without
@@ -24,11 +24,11 @@
 # NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-# VPATH-based Makefile for wpr3287 can build either 32- or 64-bit
+# Makefile for Windows pr3287
 ifdef WIN64
-objdir = ../obj/win64/wpr3287
+objdir = ../obj/win64/pr3287
 else
-objdir = ../obj/win32/wpr3287
+objdir = ../obj/win32/pr3287
 endif
 top = ../../..
 this = $(top)/wpr3287
@@ -45,8 +45,6 @@
 	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
 clobber: $(objdir)
 	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
-depend: $(objdir)
-	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
 
 $(objdir):
 	mkdir -p $(objdir)

=== ws3270/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2016 Paul Mattes.
+# Copyright (c) 2016-2022 Paul Mattes.
 # All rights reserved.
 # 
 # Redistribution and use in source and binary forms, with or without
@@ -24,11 +24,11 @@
 # NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-# VPATH-based Makefile for ws3270, can build either 32- or 64-bit
+# Makefile for Windows s3270
 ifdef WIN64
-objdir = ../obj/win64/ws3270
+objdir = ../obj/win64/s3270
 else
-objdir = ../obj/win32/ws3270
+objdir = ../obj/win32/s3270
 endif
 top = ../../..
 this = $(top)/ws3270
@@ -45,8 +45,6 @@
 	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
 clobber: $(objdir)
 	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
-depend: $(objdir)
-	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
 
 $(objdir):
 	mkdir -p $(objdir)

=== lib/libexpat/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2016 Paul Mattes.
+# Copyright (c) 2016-2022 Paul Mattes.
 # All rights reserved.
 # 
 # Redistribution and use in source and binary forms, with or without
@@ -24,29 +24,31 @@
 # NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-# VPATH-based Makefile for (Windows) libexpat, can build either 32- or 64-bit
+# Makefile for Windows libexpat
 ifdef WIN64
 objdir = ../../obj/win64/libexpat
 else
 objdir = ../../obj/win32/libexpat
 endif
+srcdir = ../../extern/libexpat/expat
 top = ../../..
 this = $(top)/lib/libexpat
 
-export VPATH = $(this):$(top)/Common/libexpat
+export VPATH = $(this):$(top)/extern/libexpat/expat/lib
 export TOP = $(top)
 export THIS = $(this)
 
-MAKEINC = -I$(top)/Common/libexpat -I$(top)/Common/Win32 -I$(this)
+MAKEINC = -I$(top)/extern/libexpat/expat/lib -I$(top)/Common/Win32 -I$(this)
 
-all: $(objdir)
+all: $(srcdir) $(objdir)
 	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
 clean: $(objdir)
 	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
 clobber: $(objdir)
 	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
-depend: $(objdir)
-	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
 
 $(objdir):
 	mkdir -p $(objdir)
+
+$(srcdir):
+	git submodule update --init ../../extern/libexpat

=== lib/w3270i/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2016 Paul Mattes.
+# Copyright (c) 2016-2022 Paul Mattes.
 # All rights reserved.
 # 
 # Redistribution and use in source and binary forms, with or without
@@ -24,7 +24,7 @@
 # NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-# VPATH-based Makefile for libw3270, can build either 32- or 64-bit
+# Makefile for libw3270
 ifdef WIN64
 objdir = ../../obj/win64/lib3270i
 else
@@ -45,8 +45,6 @@
 	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
 clobber: $(objdir)
 	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
-depend: $(objdir)
-	cd $(objdir) && $(MAKE) $(MAKEINC) -f $(this)/Makefile.obj $@
 
 $(objdir):
 	mkdir -p $(objdir)

=== debian/changelog ===
ibm-3270 (4.3ga10-5) unstable; urgency=medium

  * Regenerate TLS certs during build.  (Closes: #1104884)

 -- Philipp Kern <pkern@debian.org>  Sun, 11 May 2025 23:16:02 +0200

ibm-3270 (4.3ga10-4) unstable; urgency=medium

  * Disable two more failing tests.
  * Fix JSON test on i386 by using sigsetjmp to handle expected SIGABRT
    occurrences and handling excess precision in doubles by doing an
    epsilon comparison.  (Closes: #1097125)

 -- Philipp Kern <pkern@debian.org>  Thu, 06 Mar 2025 08:47:29 +0100

ibm-3270 (4.3ga10-3) unstable; urgency=medium

  * Disable two more failing tests and re-enable parallel building.
    (Closes: #1094938)

 -- Philipp Kern <pkern@debian.org>  Sat, 08 Feb 2025 23:54:23 +0100

ibm-3270 (4.3ga10-2) unstable; urgency=medium

  * Disable parallel building.

 -- Philipp Kern <pkern@debian.org>  Sun, 02 Feb 2025 16:30:40 +0100

ibm-3270 (4.3ga10-1) unstable; urgency=medium

  * New upstream release.

 -- Philipp Kern <pkern@debian.org>  Sun, 26 Jan 2025 18:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Philipp Kern <pkern@debian.org>
 Standards-Version: 3.9.7
-Build-Depends: debhelper-compat (= 13), libncursesw5-dev, libssl-dev, libxaw7-dev, libxt-dev, xbitmaps, xfonts-utils, xutils-dev, tcl, tcl-dev, libexpat1-dev, imagemagick
+Build-Depends: debhelper-compat (= 13), libncurses-dev, libssl-dev, libxaw7-dev, libxt-dev, xbitmaps, xfonts-utils, xutils-dev, tcl, tcl-dev, libexpat1-dev, imagemagick, python3, python3-requests, python3-psutil, net-tools, openssl
 Rules-Requires-Root: no
 Homepage: http://x3270.bgp.nu/

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 	find . \
 		-name Makefile -or \
 		-name Makefile.obj -or \
+		-name Makefile.test -or \
+		-name Makefile.test.obj -or \
 		-name config.log -or \
 		-name config.status -or \
-	       	-name conf.h | xargs -r rm
+	       	-name conf.h -or \
+		-name *.cer -or \
+		-name *.pem -or \
+		-name *.key | xargs -r rm
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -33,6 +38,7 @@
 		--enable-x3270if \
 		--enable-lib \
 		CCOPTIONS='$(CFLAGS)'
+	(cd Common/Test/tls/ && ./mkca.bash && ./mkcert.bash)
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
http://x3270.bgp.nu/download.html http://x3270.bgp.nu/download/.+/suite3270-([\d\.]+ga\d+)-src.tgz
